Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226132 - Merge Review: mcelog
Summary: Merge Review: mcelog
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:39 UTC by Nobody's working on this, feel free to take it
Modified: 2012-04-26 14:07 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-04-26 14:07:01 UTC
gwync: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:39:18 UTC
Fedora Merge Review: mcelog

http://cvs.fedora.redhat.com/viewcvs/devel/mcelog/
Initial Owner: jcm@redhat.com

Comment 1 Gwyn Ciesla 2012-04-05 18:24:13 UTC
Good:

- rpmlint checks return:

mcelog.spec:28: W: rpm-buildroot-usage %build rm -rf $RPM_BUILD_ROOT
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

mcelog.spec:29: W: rpm-buildroot-usage %build mkdir -p $RPM_BUILD_ROOT/%{_sysconfdir}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

mcelog.spec:30: W: rpm-buildroot-usage %build mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

mcelog.spec:31: W: rpm-buildroot-usage %build mkdir -p $RPM_BUILD_ROOT/%{_mandir}
$RPM_BUILD_ROOT should not be touched during %build or %prep stage, as it may
break short circuit builds.

mcelog.spec:39: E: hardcoded-library-path in $RPM_BUILD_ROOT/lib/systemd/system
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

mcelog.spec:50: E: hardcoded-library-path in $RPM_BUILD_ROOT/lib/systemd/system/mcelog.service
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

mcelog.spec:82: E: hardcoded-library-path in /lib/systemd/system/mcelog.service
A library path is hardcoded to one of the following paths: /lib, /usr/lib. It
should be replaced by something like /%{_lib} or %{_libdir}.

Fix.  For /lib/systemd/system, use %{_unitdir}.

mcelog.spec: W: invalid-url Source0: mcelog-6e4e2a00.tar.bz2
The value should be a valid, public HTTP, HTTPS, or FTP URL.

Fix if there's a URL for git checkouts.

mcelog.x86_64: W: summary-ended-with-dot C Tool to translate x86-64 CPU Machine Check Exception data.
Summary ends with a dot.

Fix.

mcelog.x86_64: W: spelling-error %description -l en_US cron -> corn, con, crone
The value of this tag appears to be misspelled. Please double-check.

Ignore.

Lots of wrong fsf address, file a bug upstream.


- package meets naming guidelines
- package meets packaging guidelines
- license ( GPLv2 )               OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream               N/A, git checkout
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent                See above
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

You also need the following requires:

Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units


Other than the things from rpmlint and the requires, no major issues.  Let me know if you'd like me to commit anything.

Comment 2 Gwyn Ciesla 2012-04-26 14:07:01 UTC
Done.


Note You need to log in before you can comment on or make changes to this bug.